package pcc.chemicraft.item;

import java.util.List;

import pcc.chemicraft.ChemiCraft;
import pcc.chemicraft.ChemiCraftAPI;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;


public class ItemChemiCell extends Item
{

	public ItemChemiCell(int par1)
	{
		super(par1);
		this.maxStackSize = 64;
		this.setHasSubtypes(true);
		this.setMaxDamage(0);
		this.setCreativeTab(ChemiCraft.instance.creativeTabChemiCraft);
	}



	@Override
	public void getSubItems(int par1, CreativeTabs par2CreativeTabs, List par3List){
		for(int type = 0; type < ChemiCraftAPI.instance().getChemicalCellsName().sizeKeysList(); type++)
		{
			par3List.add(new ItemStack(par1, 1, type));
			this.setIconIndex(type);
		}
	}



	@Override
	public String getItemNameIS(ItemStack par1ItemStack){
		return super.getItemName() + "." + ChemiCraftAPI.instance().getChemicalCellsName().getKeyList(par1ItemStack.getItemDamage());
	}



	@Override
	public String getTextureFile(){
		return ChemiCraft.instance.ITEM_TEXTURE;
	}

}
